shop/Models/Slider.cs
using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.ComponentModel.DataAnnotations;
namespace shop.Models
{
    public class Slider
    {
 
        [Key]
        public int Id { get; set; }

         [Display(Name ="عنوان اسلاید")]
         [MaxLength(50, ErrorMessage ="نباید بیشنر از {1} کاراکتر باشد")]
        public string SliderTitle { get; set; }

         [Display(Name ="عکس اسلاید")]
         [MaxLength(50, ErrorMessage ="نباید بیشنر از {1} کاراکتر باشد")]
        public string SliderImage { get; set; }

         [Display(Name ="لینک اسلاید")]
        public string SlidetLink { get; set; }

         [Display(Name ="عدم نمایش")]
       public bool SliderNotShow { get; set; }
    }
}

shop/Areas/Admin/Controllers/SlidersController.cs
using System;
using System.Collections.Generic;
using System.Data;
using System.Data.Entity;
using System.Linq;
using System.Net;
using System.Web;
using System.Web.Mvc;
using shop.Models;

namespace shop.Areas.Admin.Controllers
{
    public class SlidersController : Controller
    {

        private DatabaseContext db = new DatabaseContext();

        // GET: Admin/Sliders
        public ActionResult Index()
        {
            return View(db.Sliders.ToList());
        }

        // GET: Admin/Sliders/Details/5
        public ActionResult Details(int? id)
        {
            if (id == null)
            {
                return new HttpStatusCodeResult(HttpStatusCode.BadRequest);
            }
            Slider slider = db.Sliders.Find(id);
            if (slider == null)
            {
                return HttpNotFound();
            }
            return View(slider);
        }

        // GET: Admin/Sliders/Create
        public ActionResult Create()
        {
            return View();
        }
       
        // POST: Admin/Sliders/Create
        // To protect from overposting attacks, please enable the specific properties you want to bind to, for 
        // more details see https://go.microsoft.com/fwlink/?LinkId=317598.
        [HttpPost]
        [ValidateAntiForgeryToken]
        public ActionResult Create([Bind(Include = "Id,SliderTitle,SliderImage,SlidetLink,SliderNotShow")] Slider slider, HttpPostedFileBase file)
        {
            Random random = new Random();
            string imgcode = random.Next(10000, 99999).ToString();
            if (ModelState.IsValid)
            {
                if(file != null)
                {
                    file.SaveAs(HttpContext.Server.MapPath("~/images/") + imgcode.ToString() + "-" + file.FileName);
                    slider.SliderImage = imgcode.ToString() + "-" + file.FileName;
                }
                db.Sliders.Add(slider);
                db.SaveChanges();
                return RedirectToAction("Index");
            }

            return View(slider);
        }

        // GET: Admin/Sliders/Edit/5
        public ActionResult Edit(int? id)
        {
            if (id == null)
            {
                return new HttpStatusCodeResult(HttpStatusCode.BadRequest);
            }
            Slider slider = db.Sliders.Find(id);
            if (slider == null)
            {
                return HttpNotFound();
            }
            return View(slider);
        }

        // POST: Admin/Sliders/Edit/5
        // To protect from overposting attacks, please enable the specific properties you want to bind to, for 
        // more details see https://go.microsoft.com/fwlink/?LinkId=317598.
        [HttpPost]
        [ValidateAntiForgeryToken]
        public ActionResult Edit([Bind(Include = "Id,SliderTitle,SliderImage,SlidetLink,SliderNotShow")] Slider slider, HttpPostedFileBase file)
        {
            Random random = new Random();
            string imgcode = random.Next(10000, 99999).ToString();
            if (ModelState.IsValid)
            {
                if(file != null)
                {
                    file.SaveAs(HttpContext.Server.MapPath("~/images/") + imgcode.ToString() + "-" + file.FileName);
                    slider.SliderImage = imgcode.ToString() + "-" + file.FileName;
                }

                db.Entry(slider).State = EntityState.Modified;
                db.SaveChanges();
                return RedirectToAction("Index");
            }
            return View(slider);
        }

        // GET: Admin/Sliders/Delete/5
        public ActionResult Delete(int? id)
        {
            Slider slider = db.Sliders.Find(id);
            db.Sliders.Remove(slider);
            db.SaveChanges();
            return RedirectToAction("Index");
        }

      
        protected override void Dispose(bool disposing)
        {
            if (disposing)
            {
                db.Dispose();
            }
            base.Dispose(disposing);
        }
    }
}

shop/Areas/Admin/Views/Sliders/Create.cshtml
@model shop.Models.Slider

@{
    ViewBag.Title = "Create";
    Layout = "~/Areas/Admin/Views/Shared/_AdminLayout.cshtml";
}

    <div class="card">
        <div class="card-header bg-dark text-white">
            <div class="row">
                <div class="col-6 text-left mt-1">
                    افزودن اسلایدر
                </div>
                <div class="col-6 text-right">
                    @Html.ActionLink("بازگشت", "Index", "", new { @class= "btn btn-danger"})
                </div>
            </div>
        </div>
        <div class="card-body">
            @using (Html.BeginForm("Create", "Sliders", FormMethod.Post, new { enctype="multipart/form-data" }))
            {
                @Html.AntiForgeryToken()

                <div class="form-horizontal">

                    @Html.ValidationSummary(true, "", new { @class = "text-danger" })
                    <div class="form-group">
                        @Html.LabelFor(model => model.SliderTitle, htmlAttributes: new { @class = "control-label col-md-2" })
                        <div class="col-md-10">
                            @Html.EditorFor(model => model.SliderTitle, new { htmlAttributes = new { @class = "form-control" } })
                            @Html.ValidationMessageFor(model => model.SliderTitle, "", new { @class = "text-danger" })
                        </div>
                    </div>

                    <div class="form-group">
                        @Html.LabelFor(model => model.SliderImage, htmlAttributes: new { @class = "control-label col-md-2" })
                        <div class="col-md-10">
                            <input type="file" name="file"  />
                        </div>
                    </div>

                    <div class="form-group">
                        @Html.LabelFor(model => model.SlidetLink, htmlAttributes: new { @class = "control-label col-md-2" })
                        <div class="col-md-10">
                            @Html.EditorFor(model => model.SlidetLink, new { htmlAttributes = new { @class = "form-control" } })
                            @Html.ValidationMessageFor(model => model.SlidetLink, "", new { @class = "text-danger" })
                        </div>
                    </div>

                    <div class="form-group">
                        @Html.LabelFor(model => model.SliderNotShow, htmlAttributes: new { @class = "control-label col-md-2" })
                        <div class="col-md-10">
                            <div class="checkbox">
                                @Html.EditorFor(model => model.SliderNotShow)
                                @Html.ValidationMessageFor(model => model.SliderNotShow, "", new { @class = "text-danger" })
                            </div>
                        </div>
                    </div>

                    <div class="form-group">
                        <div class="col-md-offset-2 col-md-10">
                            <input type="submit" value="ثبت" class="btn btn-success" />
                        </div>
                    </div>
                </div>
            }
        </div>
    </div>






<script src="~/Scripts/jquery-3.4.1.min.js"></script>
<script src="~/Scripts/jquery.validate.min.js"></script>
<script src="~/Scripts/jquery.validate.unobtrusive.min.js"></script>

shop/Areas/Admin/Views/Sliders/Details.cshtml
@model shop.Models.Slider

@{
    ViewBag.Title = "Details";
    Layout = "~/Areas/Admin/Views/Shared/_AdminLayout.cshtml";
}

    <div class="card">
        <div class="card-header bg-dark text-white">

            <div class="row">
                <div class="col-6 text-left mt-1">
                    جزئیات اسلایدر @Model.SliderTitle
                </div>
                <div class="col-6 text-right">
                    @Html.ActionLink("بازگشت", "Index", "", new { @class = "btn btn-danger" })
                </div>
            </div>

        </div>
        <div class="card-body">
            <div>

                <dl class="dl-horizontal">
                    <dt>
                        @Html.DisplayNameFor(model => model.SliderTitle)
                    </dt>

                    <dd>
                        @Html.DisplayFor(model => model.SliderTitle)
                    </dd>

                    <dt>
                        @Html.DisplayNameFor(model => model.SliderImage)
                    </dt>

                    <dd>
                        <img src="~/images/@Model.SliderImage" alt="@Model.SliderTitle" width="300" height="200" />
                    </dd>

                    <dt>
                        @Html.DisplayNameFor(model => model.SlidetLink)
                    </dt>

                    <dd>
                        @Html.DisplayFor(model => model.SlidetLink)
                    </dd>

         

                </dl>
            </div>
        </div>
    </div> 

shop/Areas/Admin/Views/Sliders/Edit.cshtml
@model shop.Models.Slider

@{
    ViewBag.Title = "Edit";
    Layout = "~/Areas/Admin/Views/Shared/_AdminLayout.cshtml";
}

    <div class="card">
        <div class="card-header bg-dark text-white">
            <div class="row">
                <div class="col-6 text-left mt-1">
                    ویرایش اسلایدر @Model.SliderTitle
                </div>
                <div class="col-6 text-right">
                    @Html.ActionLink("بازگشت", "Index", "", new { @class = "btn btn-danger" })
                </div>
            </div>
        </div>
        <div class="card-body">
            @using (Html.BeginForm("Edit", "Sliders", FormMethod.Post, new { enctype = "multipart/form-data" }))
            {
                @Html.AntiForgeryToken()

            <div class="form-horizontal">
                <h4>Slider</h4>
                <hr />
                @Html.ValidationSummary(true, "", new { @class = "text-danger" })
                @Html.HiddenFor(model => model.Id)
                @Html.HiddenFor(model => model.SliderImage)

                <div class="form-group">
                    @Html.LabelFor(model => model.SliderTitle, htmlAttributes: new { @class = "control-label col-md-2" })
                    <div class="col-md-10">
                        @Html.EditorFor(model => model.SliderTitle, new { htmlAttributes = new { @class = "form-control" } })
                        @Html.ValidationMessageFor(model => model.SliderTitle, "", new { @class = "text-danger" })
                    </div>
                </div>

                <div class="form-group">
                    @Html.LabelFor(model => model.SliderImage, htmlAttributes: new { @class = "control-label col-md-2" })
                    <div class="col-md-10">
                        <input type="file" name="file"  />
                        <br />
                        <img src="~/images/@Model.SliderImage" alt="@Model.SliderTitle" width="300" height="200" />
                    </div>
                </div>

                <div class="form-group">
                    @Html.LabelFor(model => model.SlidetLink, htmlAttributes: new { @class = "control-label col-md-2" })
                    <div class="col-md-10">
                        @Html.EditorFor(model => model.SlidetLink, new { htmlAttributes = new { @class = "form-control" } })
                        @Html.ValidationMessageFor(model => model.SlidetLink, "", new { @class = "text-danger" })
                    </div>
                </div>

                <div class="form-group">
                    @Html.LabelFor(model => model.SliderNotShow, htmlAttributes: new { @class = "control-label col-md-2" })
                    <div class="col-md-10">
                        <div class="checkbox">
                            @Html.EditorFor(model => model.SliderNotShow)
                            @Html.ValidationMessageFor(model => model.SliderNotShow, "", new { @class = "text-danger" })
                        </div>
                    </div>
                </div>

                <div class="form-group">
                    <div class="col-md-offset-2 col-md-10">
                        <input type="submit" value="ویرایش" class="btn btn-success" />
                    </div>
                </div>
            </div>
            }
        </div>
    </div>





<script src="~/Scripts/jquery-3.4.1.min.js"></script>
<script src="~/Scripts/jquery.validate.min.js"></script>
<script src="~/Scripts/jquery.validate.unobtrusive.min.js"></script>

shop/Areas/Admin/Views/Sliders/Index.cshtml
@model IEnumerable<shop.Models.Slider>

@{
    ViewBag.Title = "اسلایدر";
    Layout = "~/Areas/Admin/Views/Shared/_AdminLayout.cshtml";
}

    <div class="card">
        <div class="card-header bg-dark text-white">
            <div class="row">
                <div class="col-6 text-left mt-1">
                    اسلایدر 
                </div>
                <div class="col-6 text-right">
                    @Html.ActionLink("افزودن", "Create", "", new { @class= "btn btn-success" })
                </div>
            </div>
        </div>
        <div class="card-body">
            <table class="table table-hover">
                <tr>
                    <th>
                        @Html.DisplayNameFor(model => model.SliderTitle)
                    </th>
                   
                    <th>
                        @Html.DisplayNameFor(model => model.SlidetLink)
                    </th>
                    <th>
                        @Html.DisplayNameFor(model => model.SliderNotShow)
                    </th>
                    <th>عملیات</th>
                </tr>

                @foreach (var item in Model)
                {
                    <tr>
                        <td>
                            @Html.DisplayFor(modelItem => item.SliderTitle)
                        </td>
                    
                        <td>
                            @Html.DisplayFor(modelItem => item.SlidetLink)
                        </td>
                        <td>
                            @Html.DisplayFor(modelItem => item.SliderNotShow)
                        </td>
                        <td>
                            @Html.ActionLink("ویزایش", "Edit", new { id = item.Id }, new { @class = "btn btn-xs btn-outline-warning" }) |
                            @Html.ActionLink("جزئیات", "Details", new { id = item.Id }, new { @class = "btn btn-xs btn-outline-info" }) |
                            @Html.ActionLink("حذف", "Delete", new { id = item.Id }, new { @class = "btn btn-xs btn-outline-danger" })
                        </td>
                    </tr>
                }

            </table>
        </div>
    </div>